curl --request POST \
--url https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"accounts": [
"7CB64E2791F1A14E5BFEBED41A70F08D"
]
}
'import requests
url = "https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share"
payload = { "accounts": ["7CB64E2791F1A14E5BFEBED41A70F08D"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"accounts\": [\n \"7CB64E2791F1A14E5BFEBED41A70F08D\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"accounts\": [\n \"7CB64E2791F1A14E5BFEBED41A70F08D\"\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accounts' => [
'7CB64E2791F1A14E5BFEBED41A70F08D'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({accounts: ['7CB64E2791F1A14E5BFEBED41A70F08D']})
};
fetch('https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"requestId": "786ac8d6-40e5-4dfb-a450-4f71cbb3fc6c"
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Share SaaS resource
Use this endpoint to share a SaaS resource with other accounts. You can check the status of your share request here.
Required scope: Enable one of: answers:manage.
curl --request POST \
--url https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"accounts": [
"7CB64E2791F1A14E5BFEBED41A70F08D"
]
}
'import requests
url = "https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share"
payload = { "accounts": ["7CB64E2791F1A14E5BFEBED41A70F08D"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"accounts\": [\n \"7CB64E2791F1A14E5BFEBED41A70F08D\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"accounts\": [\n \"7CB64E2791F1A14E5BFEBED41A70F08D\"\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accounts' => [
'7CB64E2791F1A14E5BFEBED41A70F08D'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({accounts: ['7CB64E2791F1A14E5BFEBED41A70F08D']})
};
fetch('https://api.messaging.phonovation.com/saas/1/{resourceType}/{resourceId}/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"requestId": "786ac8d6-40e5-4dfb-a450-4f71cbb3fc6c"
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Type of SaaS resource.
bot SaaS resource identifier.
Body
Accounts to share the resource with.
List of sub account identifiers. Identifiers are account keys.
List of sub account identifiers. Identifiers are account keys.
Response
Accepted
Request identifier.